#include <ArborX_LinearBVH.hpp>
#include <ArborX_KDOP.hpp>
#include "ArborXTest_LegacyTree.hpp"
using KDOP6 = ArborX::Experimental::KDOP<3, 6>;
using KDOP14 = ArborX::Experimental::KDOP<3, 14>;
using KDOP18 = ArborX::Experimental::KDOP<3, 18>;
using KDOP26 = ArborX::Experimental::KDOP<3, 26>;
template <class MemorySpace>
using ArborX_Legacy_BVH_KDOP18 =
    LegacyTree<ArborX::BoundingVolumeHierarchy<
        MemorySpace, ArborX::PairValueIndex<KDOP18>,
        ArborX::Details::DefaultIndexableGetter, KDOP18>>;
#define ARBORX_TEST_TREE_TYPES Tuple<ArborX_Legacy_BVH_KDOP18>
#define ARBORX_TEST_DEVICE_TYPES std::tuple<Kokkos::Serial::device_type>
#define ARBORX_TEST_DISABLE_NEAREST_QUERY
#define ARBORX_TEST_DISABLE_SPATIAL_QUERY_INTERSECTS_SPHERE
#include <tstQueryTreeManufacturedSolution.cpp>
