/****************************************************************************
 * Copyright (c) 2017-2022 by the ArborX authors                            *
 * All rights reserved.                                                     *
 *                                                                          *
 * This file is part of the ArborX library. ArborX is                       *
 * distributed under a BSD 3-clause license. For the licensing terms see    *
 * the LICENSE file in the top-level directory.                             *
 *                                                                          *
 * SPDX-License-Identifier: BSD-3-Clause                                    *
 ****************************************************************************/

#ifndef ARBORX_VERSION_HPP
#define ARBORX_VERSION_HPP

#include <ArborX_Config.hpp>

#include <kokkos_ext/ArborX_KokkosExtVersion.hpp>

#include <string>

namespace ArborX
{

inline std::string version() { return "2.0 (dev)"; }

inline std::string gitCommitHash() { return "93f1af36"; }

} // namespace ArborX

#endif
