#include <ArborX_LinearBVH.hpp>
#include <ArborX_Box.hpp>
#include "ArborXTest_LegacyTree.hpp"
template <class MemorySpace>
using ArborX_Legacy_BVH_Box =
    LegacyTree<ArborX::BoundingVolumeHierarchy<
        MemorySpace, ArborX::PairValueIndex<ArborX::Box<3, float>>,
        ArborX::Details::DefaultIndexableGetter, ArborX::Box<3, float>>>;
#define ARBORX_TEST_TREE_TYPES Tuple<ArborX_Legacy_BVH_Box>
#define ARBORX_TEST_DEVICE_TYPES std::tuple<Kokkos::Serial::device_type>
#include <tstQueryTreeDegenerate.cpp>
